diff -r 4f39e57a82b4 INSTALL
--- a/INSTALL	Thu Mar 17 16:20:09 2011 +0100
+++ b/INSTALL	Tue Mar 22 14:17:12 2011 -0600
@@ -481,7 +481,7 @@
 
 For most platforms, configure or the src/s file have the preferred
 method for locking mail spool files preconfigured.  Otherwise you must
-find out for youself.  Do not choose a locking protocol "on the
+find out for yourself.  Do not choose a locking protocol "on the
 objective merits."  XEmacs must use the same method as other mail
 utilities on your system, or you WILL lose mail.
 
diff -r 4f39e57a82b4 aclocal.m4
--- a/aclocal.m4	Thu Mar 17 16:20:09 2011 +0100
+++ b/aclocal.m4	Tue Mar 22 14:17:12 2011 -0600
@@ -217,7 +217,7 @@
 dnl if the C compiler itself cannot create shared libraries do we try to
 dnl find the linker.
 dnl
-dnl The other advantage to my scheme is that it removes the dependancy
+dnl The other advantage to my scheme is that it removes the dependency
 dnl on a given compiler version remaining static with relation to the
 dnl version of XEmacs. With the libtool way, it picks up the linker that
 dnl gcc uses, which can be the internal collect2 that comes with gcc.
diff -r 4f39e57a82b4 configure.ac
--- a/configure.ac	Thu Mar 17 16:20:09 2011 +0100
+++ b/configure.ac	Tue Mar 22 14:17:12 2011 -0600
@@ -4471,7 +4471,7 @@
   dnl We define our own getloadavg() using lower level functions.
   XE_ADD_OBJS(getloadavg.o)
 
-  dnl Used by getloadavg() - does not require root priveleges
+  dnl Used by getloadavg() - does not require root privileges
   AC_CHECK_LIB(kstat, kstat_open)
   AC_CHECK_HEADERS(kstat.h)
 
diff -r 4f39e57a82b4 lisp/cl-macs.el
--- a/lisp/cl-macs.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/lisp/cl-macs.el	Tue Mar 22 14:17:12 2011 -0600
@@ -828,7 +828,7 @@
 `return-from'.)
 
 Another extremely useful feature of loops is called \"destructuring\".  If,
-in place of VAR, a list (possibly dotted, possibly a tree of arbitary
+in place of VAR, a list (possibly dotted, possibly a tree of arbitrary
 complexity) is given, the value to be assigned is assumed to have a similar
 structure to the list given, and variables in the list will be matched up
 with corresponding elements in the structure.  For example:
diff -r 4f39e57a82b4 lisp/coding.el
--- a/lisp/coding.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/lisp/coding.el	Tue Mar 22 14:17:12 2011 -0600
@@ -248,7 +248,7 @@
     ((force-coding-system-equivalency (&rest details-list)
        "Certain coding-system aliases should correspond to certain variables.
 
-This macro implements that correspondence. This gives us compatiblity with
+This macro implements that correspondence. This gives us compatibility with
 other Mule implementations (which don't use the coding system aliases), and
 a certain amount of freedom of implementation for XEmacs; using a variable's
 value in C for every file operation or write to a terminal in C is probably
diff -r 4f39e57a82b4 lisp/cus-edit.el
--- a/lisp/cus-edit.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/lisp/cus-edit.el	Tue Mar 22 14:17:12 2011 -0600
@@ -2445,7 +2445,7 @@
     (when (or (get symbol 'saved-value) (get symbol 'saved-variable-comment))
       (put symbol 'saved-value nil)
       (custom-push-theme 'theme-value symbol 'user 'reset 'standard)
-      ;; As a special optimizations we do not (explictly)
+      ;; As a special optimization we do not (explicitly)
       ;; save resets to standard when no theme sets the value.
       (if (null (cdr (get symbol 'theme-value)))
 	  (put symbol 'theme-value nil))
@@ -2910,7 +2910,7 @@
     (when (or (get symbol 'saved-face) (get symbol 'saved-face-comment))
       (put symbol 'saved-face nil)
       (custom-push-theme 'theme-face symbol 'user 'reset 'standard)
-      ;; Do not explictly save resets to standards without themes.
+      ;; Do not explicitly save resets to standards without themes.
       (if (null (cdr (get symbol 'theme-face)))
 	  (put symbol  'theme-face nil))
       (put symbol 'saved-face-comment nil)
diff -r 4f39e57a82b4 lisp/etags.el
--- a/lisp/etags.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/lisp/etags.el	Tue Mar 22 14:17:12 2011 -0600
@@ -1346,7 +1346,7 @@
 ;;;###autoload
 (defun pop-tag-mark (arg)
   "Go to last tag position.
-`find-tag' maintains a mark-stack seperate from the \\[set-mark-command] mark-stack.
+`find-tag' maintains a mark-stack separate from the \\[set-mark-command] mark-stack.
 This function pops (and moves to) the tag at the top of this stack."
   (interactive "P")
   (if (not arg)
diff -r 4f39e57a82b4 lisp/files.el
--- a/lisp/files.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/lisp/files.el	Tue Mar 22 14:17:12 2011 -0600
@@ -726,7 +726,7 @@
 
 If SUFFIX is non-nil, add that at the end of the file name.
 
-This function is analagous to mkstemp(3) under POSIX, avoiding the race
+This function is analogous to mkstemp(3) under POSIX, avoiding the race
 condition between testing for the existence of the generated filename (under
 POSIX with mktemp(3), under Emacs Lisp with `make-temp-name') and creating
 it."
diff -r 4f39e57a82b4 lisp/font-menu.el
--- a/lisp/font-menu.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/lisp/font-menu.el	Tue Mar 22 14:17:12 2011 -0600
@@ -123,7 +123,7 @@
 (defcustom font-menu-ignore-scaled-fonts nil
   "*If non-nil, the font menu shows only bitmap fonts.
 
-Bitmap fonts at their design size are generally noticably higher quality than
+Bitmap fonts at their design size are generally noticeably higher quality than
 scaled fonts, unless the device is capable of interpreting antialiasing hints.
 In general, setting this option non-`nil' is useful mostly on older X servers.
 
diff -r 4f39e57a82b4 lisp/fontconfig.el
--- a/lisp/fontconfig.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/lisp/fontconfig.el	Tue Mar 22 14:17:12 2011 -0600
@@ -354,7 +354,7 @@
 
 (defun fc-pattern-get-or-compute-size (pattern id)
   "Get the size from `pattern' associated with `id' or try to compute it.
-Returns 'fc-result-no-match if unsucessful."
+Returns 'fc-result-no-match if unsuccessful."
   ;;  Many font patterns don't have a "size" property, but do have a
   ;;  "dpi" and a "pixelsize" property".
   (let ((maybe (fc-pattern-get-size pattern id)))
diff -r 4f39e57a82b4 lisp/gnome-widgets.el
--- a/lisp/gnome-widgets.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/lisp/gnome-widgets.el	Tue Mar 22 14:17:12 2011 -0600
@@ -469,7 +469,7 @@
 		     (GnomeFontPickerMode . mode))
 
 ;; With  GNOME_FONT_PICKER_MODE_FONT_INFO
-;; If use_font_in_label is true, font name will be writen using font choosed by user and
+;; If use_font_in_label is true, font name will be written using font chosen by user and
 ;; using size passed to this function
 (gtk-import-function nil gnome_font_picker_fi_set_use_font_in_label
 		     (GnomeFontPicker . gfp)
@@ -726,7 +726,7 @@
 ;;;						    const char *subtype,
 ;;;                                                    GnomeStockPixmapEntry *entry);
 
-;; check for the existance of an entry. returns the entry if it
+;; check for the existence of an entry. returns the entry if it
 ;; exists, or NULL otherwise
 ;;;GnomeStockPixmapEntry *gnome_stock_pixmap_checkfor (const char *icon,
 ;;;						    const char *subtype);
diff -r 4f39e57a82b4 lisp/gtk-ffi.el
--- a/lisp/gtk-ffi.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/lisp/gtk-ffi.el	Tue Mar 22 14:17:12 2011 -0600
@@ -40,7 +40,7 @@
 really part of the object system.")
 
 (defvar gtk-ffi-debug nil
-  "If non-nil, all functions defined wiht `gtk-import-function' will be checked
+  "If non-nil, all functions defined with `gtk-import-function' will be checked
 for missing marshallers.")
 
 (defun gtk-ffi-check-function (func)
diff -r 4f39e57a82b4 lisp/gtk-widgets.el
--- a/lisp/gtk-widgets.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/lisp/gtk-widgets.el	Tue Mar 22 14:17:12 2011 -0600
@@ -228,8 +228,8 @@
 (gtk-import-function nil gtk_clist_set_button_actions GtkCList guint guint)
 
 ;; freeze all visual updates of the list, and then thaw the list after
-;; you have made a number of changes and the updates wil occure in a
-;; more efficent mannor than if you made them on a unfrozen list
+;; you have made a number of changes and the updates wil occur in a
+;; more efficient manner than if you made them on an unfrozen list
 (gtk-import-function nil gtk_clist_freeze GtkCList)
 (gtk-import-function nil gtk_clist_thaw GtkCList)
 
@@ -345,8 +345,8 @@
 (gtk-import-function GtkStyle gtk_clist_get_row_style GtkCList gint)
 
 ;; this sets a horizontal and vertical shift for drawing
-;; the contents of a cell; it can be positive or negitive;
-;; this is particulary useful for indenting items in a column
+;; the contents of a cell; it can be positive or negative;
+;; this is particularly useful for indenting items in a column
 (gtk-import-function nil gtk_clist_set_shift GtkCList gint gint gint gint)
 
 ;; set/get selectable flag of a single row
diff -r 4f39e57a82b4 lisp/info.el
--- a/lisp/info.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/lisp/info.el	Tue Mar 22 14:17:12 2011 -0600
@@ -1501,7 +1501,7 @@
 				nil t)
 	       (if exact
 		   nil
-		 ;; Then, try to match the name independantly of the
+		 ;; Then, try to match the name independently of the
 		 ;; characters case.
 		 (directory-files dir 'fullname
 				  (Info-all-case-regexp
diff -r 4f39e57a82b4 lisp/minibuf.el
--- a/lisp/minibuf.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/lisp/minibuf.el	Tue Mar 22 14:17:12 2011 -0600
@@ -43,7 +43,7 @@
 (require 'cl)
 
 (defgroup minibuffer nil
-  "Controling the behavior of the minibuffer."
+  "Controlling the behavior of the minibuffer."
   :group 'environment)
 
 
diff -r 4f39e57a82b4 lisp/mule/ccl.el
--- a/lisp/mule/ccl.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/lisp/mule/ccl.el	Tue Mar 22 14:17:12 2011 -0600
@@ -1510,7 +1510,7 @@
 	| de-sjis
 
 	;; If ARG_0 and ARG_1 are the first and second code point of
-	;; JISX0208 character CHAR, and SJIS is the correponding
+	;; JISX0208 character CHAR, and SJIS is the corresponding
 	;; Shift-JIS code,
 	;; (REG = ARG_0 en-sjis ARG_1) means:
 	;;	((REG = HIGH)
diff -r 4f39e57a82b4 lisp/mule/indian.el
--- a/lisp/mule/indian.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/lisp/mule/indian.el	Tue Mar 22 14:17:12 2011 -0600
@@ -53,9 +53,9 @@
 
 ;;; Code:
 
-;;  Followings are what you see when you refer to the Emacs
+;;  Following are what you see when you refer to the Emacs
 ;;  representations of IS 13194 charcters.  However, this is merely
-;;  tentative apperance, and you must convert them by
+;;  tentative appearance, and you must convert them with the
 ;;  indian-to-xxxxxx(specific script) function to use them.
 ;;  Devanagari is not an exception of this rule.
 
diff -r 4f39e57a82b4 lisp/mule/kinsoku.el
--- a/lisp/mule/kinsoku.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/lisp/mule/kinsoku.el	Tue Mar 22 14:17:12 2011 -0600
@@ -258,13 +258,13 @@
 	     (eol-kin (kinsoku-process-shrink))))))
 
 (defun kinsoku-process-extend ()
-  "Move point forward to a permissable for line-breaking.
+  "Move point forward to a point permissible for line-breaking.
 $B9T$r?-$P$7$F6XB'$K?($l$J$$E@$X0\F0$9$k!#(B"
   (let ((max-column (+ fill-column 
 		       (if (and (numberp kinsoku-extend-limit)
 				(>= kinsoku-extend-limit 0))
 			   kinsoku-extend-limit
-			 10000)))  ;;; 10000 is deliberatly unreasonably large
+			 10000)))  ;;; 10000 is deliberately unreasonably large
 	ch1 ch2)
     (while (and (setq ch1 (char-after))
 		(<= (+ (current-column)
@@ -285,7 +285,7 @@
 	(kinsoku-process-shrink))))
 
 (defun kinsoku-process-shrink ()
-  "Move point backward to a point permissable for line-breaking.
+  "Move point backward to a point permissible for line-breaking.
 $B9T$r=L$a$F6XB'$K?($l$J$$E@$X0\F0$9$k!#(B"
   (let (ch1 ch2)
     (while (and (not (bolp))
diff -r 4f39e57a82b4 lisp/mule/lao-util.el
--- a/lisp/mule/lao-util.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/lisp/mule/lao-util.el	Tue Mar 22 14:17:12 2011 -0600
@@ -371,8 +371,8 @@
 indicate the place to embed a consonant.
 
 Optional WITH-MAA-SAKOD-RULE is a rule to re-order and modify VOWEL
-follwoing a consonant and preceding a maa-sakod character.  If it is
-nil, NO-MAA-SAKOD-RULE is used.  The maa-sakod character is alwasy
+following a consonant and preceding a maa-sakod character.  If it is
+nil, NO-MAA-SAKOD-RULE is used.  The maa-sakod character is always
 appended at the tail.
 
 For instance, rule `(\"(1`WM(B\" (?(1`(B t ?(1W(B ?(1M(B))' tells that this vowel
@@ -386,7 +386,7 @@
   "Transcribe a Romanized Lao syllable in the region FROM and TO to Lao string.
 Only the first syllable is transcribed.
 The value has the form: (START END LAO-STRING), where
-START and END are the beggining and end positions of the Roman Lao syllable,
+START and END are the beginning and end positions of the Roman Lao syllable,
 LAO-STRING is the Lao character transcription of it.
 
 Optional 3rd arg STR, if non-nil, is a string to search for Roman Lao
diff -r 4f39e57a82b4 lisp/mule/latin.el
--- a/lisp/mule/latin.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/lisp/mule/latin.el	Tue Mar 22 14:17:12 2011 -0600
@@ -1482,7 +1482,7 @@
       (string (char-syntax (make-char 'latin-iso8859-1 i)))
       syntax-table))
 
-;; Case. The Turkish case idiosyncracy is handled with its language environment.  
+;; Case. The Turkish case idiosyncrasy is handled with its language environment.  
 (setup-case-pairs
  'latin-iso8859-9
  '((#xC0 #xE0) ;; A WITH GRAVE
diff -r 4f39e57a82b4 lisp/mule/thai-util.el
--- a/lisp/mule/thai-util.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/lisp/mule/thai-util.el	Tue Mar 22 14:17:12 2011 -0600
@@ -116,7 +116,7 @@
 	   (?,Tc(B vowel-base "VOWEL SIGN SARA MAI MUAN")			; 0xE3
 	   (?,Td(B vowel-base "VOWEL SIGN SARA MAI MALAI")			; 0xE4
 	   (?,Te(B vowel-base "LAK KHANG YAO")				; 0xE5
-	   (?,Tf(B special "MAI YAMOK (repetion)")				; 0xE6
+	   (?,Tf(B special "MAI YAMOK (repetition)")			; 0xE6
 	   (?,Tg(B vowel-upper "VOWEL SIGN MAI TAI KHU N/S-T")		; 0xE7
 	   (?,Th(B tone "TONE MAI EK N/S-T")				; 0xE8
 	   (?,Ti(B tone "TONE MAI THO N/S-T")				; 0xE9
diff -r 4f39e57a82b4 lisp/package-get.el
--- a/lisp/package-get.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/lisp/package-get.el	Tue Mar 22 14:17:12 2011 -0600
@@ -418,7 +418,7 @@
 from a location in `package-get-remote'. Otherwise a local copy is used
 if available and remote access is never done.
 
-Please use FORCE-CURRENT only when the user is explictly dealing with packages
+Please use FORCE-CURRENT only when the user is explicitly dealing with packages
 and remote access is likely in the near future."
   (setq force-current (or force-current package-get-always-update))
   (unless (and (boundp 'package-get-base)
diff -r 4f39e57a82b4 lisp/packages.el
--- a/lisp/packages.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/lisp/packages.el	Tue Mar 22 14:17:12 2011 -0600
@@ -481,7 +481,7 @@
 
 (defun packages-find-package-data-path (package-hierarchies)
   "Construct the data-path component for packages.
-PACKAGE-HIERARCHIES is a list of package hierachies."
+PACKAGE-HIERARCHIES is a list of package hierarchies."
   (paths-find-recursive-load-path
    (packages-find-package-library-path package-hierarchies
 				       '("etc"))
diff -r 4f39e57a82b4 lisp/paragraphs.el
--- a/lisp/paragraphs.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/lisp/paragraphs.el	Tue Mar 22 14:17:12 2011 -0600
@@ -50,7 +50,7 @@
 
 Prefix argument says to turn mode on if positive, off if negative.
 When the mode is turned on, if there are newlines in the buffer but no hard
-newlines, ask the user whether to mark as hard any newlines preceeding a
+newlines, ask the user whether to mark as hard any newlines preceding a
 `paragraph-start' line.  From a program, second arg INSERT specifies whether
 to do this; it can be `never' to change nothing, t or `always' to force
 marking, `guess' to try to do the right thing with no questions, nil
diff -r 4f39e57a82b4 lisp/startup.el
--- a/lisp/startup.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/lisp/startup.el	Tue Mar 22 14:17:12 2011 -0600
@@ -771,7 +771,7 @@
       ;; various other places. We could make *scratch* honour the user's
       ;; choice of whether font-locking is in place by adding a call to
       ;; font-lock-set-defaults in `lisp-interaction-mode'; but that'll
-      ;; break if `intial-major-mode' is anything else. 
+      ;; break if `initial-major-mode' is anything else. 
       ;;
       ;; So, despite what `font-lock-set-defaults'' docstring says, this
       ;; *is* where we should call it to have the user's choice of font-lock
diff -r 4f39e57a82b4 lisp/toolbar-items.el
--- a/lisp/toolbar-items.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/lisp/toolbar-items.el	Tue Mar 22 14:17:12 2011 -0600
@@ -403,7 +403,7 @@
   (let ((command (cdr-safe
 		  (assq toolbar-news-reader toolbar-news-commands-alist))))
     (or command
-	(error "Unkown news reader %s" toolbar-news-reader))
+	(error "Unknown news reader %s" toolbar-news-reader))
     (if (symbolp command)
 	(call-interactively command)
       (eval command))))
diff -r 4f39e57a82b4 man/internals/internals.texi
--- a/man/internals/internals.texi	Thu Mar 17 16:20:09 2011 +0100
+++ b/man/internals/internals.texi	Tue Mar 22 14:17:12 2011 -0600
@@ -17800,7 +17800,7 @@
 and tty consoles as well as doing a complete refactoring of the
 console, device, and frame code.)
 
-What is desireable is sharing console, device, and frame methods across
+What is desirable is sharing console, device, and frame methods across
 platforms in a more general way, reducing the amount of duplicated code
 by pulling it back into the redisplay engine proper or the Lisp modules
 as appropriate.  For example, we should be able to use
@@ -17853,7 +17853,7 @@
 there is a @samp{CONSOLE_INHERITS_METHOD} constructor, but this actually
 constructs the name of the parent's method pointer and stores in the
 derived console type's method table.  Of course this is time-efficient,
-and since there are few console types it is a neglible waste of space.
+and since there are few console types it is a negligible waste of space.
 However in practice this may have contributed to breaking the various
 abstractions, and the variant console must be coded in the same file as
 the parent (because the methods are static).  Another minor symptom of
@@ -18045,7 +18045,7 @@
 which in turn contains a menubar widget and an EmacsFrame widget, inside
 of which is the client area. (The division into EmacsShell and
 EmacsManager is due to the complex and screwy geometry-management system
-in Xt [and X more generally].  The EmacsShell handles negotation with
+in Xt [and X more generally].  The EmacsShell handles negotiation with
 the window manager; the place of the EmacsManager widget is normally
 assumed by a widget that manages the geometry of its child widgets, but
 the EmacsManager widget just lets the XEmacs redisplay mechanism do the
@@ -28464,7 +28464,7 @@
 @emph{convenient}.  Precision means that all properties available in the
 programming API can be individually specified.  Accuracy means that the
 truename of the font is exactly the list of all properties specified by
-the font.  Thus, the anomolies that occur with XLFDs on many servers
+the font.  Thus, the anomalies that occur with XLFDs on many servers
 (including modern Linux distributions with XFree86 or X.org servers)
 cannot occur.  Convenience is subjective, of course.  However,
 @file{fontconfig} provides a configuration system which (1) explicitly
@@ -31300,7 +31300,7 @@
 vs. local vs. heap, we could do so easily with bit flags in the object
 pointed to -- we have space for lots of them.
  
-code reliablity and maintainability would likely substantially
+code reliability and maintainability would likely substantially
 increase due to the ability to express most things in a natural C++
 way instead of lots of weird hackish hard-to-understand C stuff
 implementing stuff the language wasn't really designed for.
diff -r 4f39e57a82b4 man/lispref/mule.texi
--- a/man/lispref/mule.texi	Thu Mar 17 16:20:09 2011 +0100
+++ b/man/lispref/mule.texi	Tue Mar 22 14:17:12 2011 -0600
@@ -3118,7 +3118,7 @@
 possible to use a single Latin coded character set before saving the
 buffer.
 
-Because the problem is rarely noticable in editing a buffer, but tends
+Because the problem is rarely noticeable in editing a buffer, but tends
 to manifest when that buffer is exported to a file or process, the
 Unification package uses the strategy of examining the buffer prior to
 export.  If use of multiple Latin coded character sets is detected,
diff -r 4f39e57a82b4 man/lispref/strings.texi
--- a/man/lispref/strings.texi	Thu Mar 17 16:20:09 2011 +0100
+++ b/man/lispref/strings.texi	Tue Mar 22 14:17:12 2011 -0600
@@ -272,7 +272,7 @@
 @end defun
 
 The function @code{split-string}, in @ref{Regexp Search}, generates a
-list of strings by splitting a string on occurances of a regular
+list of strings by splitting a string on occurrences of a regular
 expression.
 
 @node Predicates for Characters
diff -r 4f39e57a82b4 man/xemacs-faq.texi
--- a/man/xemacs-faq.texi	Thu Mar 17 16:20:09 2011 +0100
+++ b/man/xemacs-faq.texi	Tue Mar 22 14:17:12 2011 -0600
@@ -739,7 +739,7 @@
 @node Q1.0.3, Q1.0.4, Q1.0.2, Introduction
 @unnumberedsubsec Q1.0.3: How do you pronounce XEmacs?
 
-The most common pronounciation is @samp{Eks eemax}, @samp{Eks'im&ks} in
+The most common pronunciation is @samp{Eks eemax}, @samp{Eks'im&ks} in
 Kirshenbaum IPA. (See
 @uref{http://www.kirshenbaum.net/IPA/ascii-ipa.pdf} if you know the IPA
 already and want to know how to map from Kirshenbaum to it.)
@@ -2445,7 +2445,7 @@
 ERC is an Emacs InternetRelayChat client.
 
 @item escreen
-Multiple editing sessions withing a single frame (like screen).
+Multiple editing sessions within a single frame (like screen).
 
 @item eshell
 Command shell implemented entirely in Emacs Lisp.
@@ -4032,7 +4032,7 @@
 the top-level source directory) to read what it says about your
 platform.
 
-If you compiled XEmacs 21.4 or ealier using @samp{--use-union-type}, or
+If you compiled XEmacs 21.4 or earlier using @samp{--use-union-type}, or
 21.5 or later using @samp{--enable-union-type} (or in either case used
 the option @samp{USE_UNION_TYPE} in @file{config.inc} under Windows),
 try recompiling again without it.  The union type has been known to
@@ -9001,10 +9001,10 @@
 
 This is usually due to using @code{hg diff} on a @dfn{merge commit}.
 That means the commit has multiple parents, and joins together two lines
-of development that occured concurrently.
+of development that occurred concurrently.
 
 You're diffing against the "wrong" one; try the other one.  You get the
-relevent revision number or ID from @code{hg log}.  In more detail:
+relevant revision number or ID from @code{hg log}.  In more detail:
 
 When there is a merge in Mercurial, it will often be the case that
 one of the parents is the immediate predecessor of the merge
@@ -9054,7 +9054,7 @@
 
  > GAAAAK!  What's the best way to restore ChangeLog and its history?
 
-He had just inadvertantly pushed a commit which deleted
+He had just inadvertently pushed a commit which deleted
 @file{src/ChangeLog}!  The history is still there, not to worry.  (In
 this case, another developer had restored src/ChangeLog already.)  The
 best way depends on a number of things.  First, let's look at the log
diff -r 4f39e57a82b4 src/README.kkcc
--- a/src/README.kkcc	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/README.kkcc	Tue Mar 22 14:17:12 2011 -0600
@@ -53,7 +53,7 @@
 	- Stack optimization (have one stack during runtime instead of 
 	  malloc/free it for every garbage collect)
 
-	There are a few Lisp_Objects, where there occured differences and
+	There are a few Lisp_Objects, where there occurred differences and
 	inexactness between the mark-method and the pdump description.  All
 	these Lisp_Objects get dumped (except image instances), so their
 	descriptions have been written, before we started our work:
diff -r 4f39e57a82b4 src/alloc.c
--- a/src/alloc.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/alloc.c	Tue Mar 22 14:17:12 2011 -0600
@@ -3605,7 +3605,7 @@
 # endif
   if (claimed_size < 4096)
     {
-      /* fxg: rename log->log2 to supress gcc3 shadow warning */
+      /* fxg: rename log->log2 to suppress gcc3 shadow warning */
       int log2 = 1;
 
       /* compute the log base two, more or less, then use it to compute
diff -r 4f39e57a82b4 src/buffer.c
--- a/src/buffer.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/buffer.c	Tue Mar 22 14:17:12 2011 -0600
@@ -30,7 +30,7 @@
    A few changes for buffer-local vars by Richard Mlynarik for
      19.8 or 19.9, c. 1993.
    Many changes by Ben Wing: changes and cleanups for Mule, esp. the
-     macros in buffer.h and the intial version of the coding-system
+     macros in buffer.h and the initial version of the coding-system
      conversion macros (in buffer.h) and associated fns. (in this file),
      19.12 (c. 1995); synch. to FSF 19.30 c. 1994; memory usage stats
      c. 1996; generated-modeline-string c. 1996 for mousable modeline in
diff -r 4f39e57a82b4 src/elhash.c
--- a/src/elhash.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/elhash.c	Tue Mar 22 14:17:12 2011 -0600
@@ -2094,7 +2094,7 @@
 Computation should use the whole value range of the underlying machine long
 type.  In XEmacs this will necessitate bignums for values above
 `most-positive-fixnum' but below (1+ (* most-positive-fixnum 2)) and
-analagous values below `most-negative-fixnum'.  Relatively poor hashing
+analogous values below `most-negative-fixnum'.  Relatively poor hashing
 performance is guaranteed in a build without bignums.
 
 This function returns t if successful, and errors if NAME
diff -r 4f39e57a82b4 src/emacs.c
--- a/src/emacs.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/emacs.c	Tue Mar 22 14:17:12 2011 -0600
@@ -3387,7 +3387,7 @@
    go.  The two conditions sound somewhat redundant (maybe we could just
    use the second?) but they aren't completely: Theoretically (maybe with
    MinGW?) we could imagine compiling under native Windows as the OS
-   but e.g. targetting only X Windows as the window system. --ben */
+   but e.g. targeting only X Windows as the window system. --ben */
 
 #if defined (HAVE_MS_WINDOWS) && defined (WIN32_NATIVE)
 # define NEED_WINDOWS_MESSAGE_PAUSE
@@ -3682,7 +3682,7 @@
 "then type `where' at the debugger prompt.  No GDB on your system?  You may\n"
 "have DBX, or XDB, or SDB.  (Ask your system administrator if you need help.)\n"
 "If no core file was produced, enable them (often with `ulimit -c unlimited')\n"
-"in case of future recurrance of the crash.\n");
+"in case of future reoccurrence of the crash.\n");
 #endif /* _MSC_VER */
     }
 
diff -r 4f39e57a82b4 src/event-stream.c
--- a/src/event-stream.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/event-stream.c	Tue Mar 22 14:17:12 2011 -0600
@@ -5377,8 +5377,8 @@
 ;(let ((inhibit-quit t)) (setq x (list (read-char) quit-flag)))^J^G
 ;for BOTH, x should get set to (7 t), but no result should be printed.
 ;; #### According to the doc of quit-flag, second test should return
-;; (?\^G nil).  Accidentaly XEmacs returns correct value.  However,
-;; XEmacs 21.1.12 and 21.2.36 both fails on first test.
+;; (?\^G nil).  XEmacs accidentally returns the correct value.  However,
+;; XEmacs 21.1.12 and 21.2.36 both fail on the first test.
 
 ;also do this: make two frames, one viewing "*scratch*", the other "foo".
 ;in *scratch*, type (sit-for 20)^J
diff -r 4f39e57a82b4 src/extents.c
--- a/src/extents.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/extents.c	Tue Mar 22 14:17:12 2011 -0600
@@ -4411,7 +4411,7 @@
 /* ------------------------------- */
 
 /* verify_extent_modification() is called when a buffer or string is
-   modified to check whether the modification is occuring inside a
+   modified to check whether the modification is occurring inside a
    read-only extent.
  */
 
diff -r 4f39e57a82b4 src/faces.c
--- a/src/faces.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/faces.c	Tue Mar 22 14:17:12 2011 -0600
@@ -1418,7 +1418,7 @@
 	 - BARF !!!!!
 
 	 To sum up, this means that it is in general unsafe to instantiate
-	 images before face cache updating is complete (appart from image
+	 images before face cache updating is complete (apart from image
 	 related face attributes). The solution we use below is to actually
 	 detect whether we're building the window's face_cachels for the first
 	 time, and simply NOT frob the background pixmap in that case. If
@@ -1427,7 +1427,7 @@
 
 	 One note:
 	 * See comment in `default_face_font_info' in face.c. Who wrote it ?
-	 Maybe we have the begining of an answer here ?
+	 Maybe we have the beginning of an answer here ?
 
 	 Footnotes:
 	 [1] See comment at the top of `allocate_window' in window.c.
diff -r 4f39e57a82b4 src/file-coding.c
--- a/src/file-coding.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/file-coding.c	Tue Mar 22 14:17:12 2011 -0600
@@ -4743,7 +4743,7 @@
 
   DEFVAR_LISP ("keyboard-coding-system", &Vkeyboard_coding_system /*
 Default coding system used for TTY and X11 keyboard input.
-Under X11, used only to interpet the character for a key event when that
+Under X11, used only to interpret the character for a key event when that
 event has a KeySym of NoSymbol but does have an associated string keysym,
 something that's seen with input methods.
 
diff -r 4f39e57a82b4 src/fileio.c
--- a/src/fileio.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/fileio.c	Tue Mar 22 14:17:12 2011 -0600
@@ -611,7 +611,7 @@
 does not specify an existing file.  To make this work, PREFIX should
 be an absolute file name.
 
-This function is analagous to mktemp(3) under POSIX, and as with it, there
+This function is analogous to mktemp(3) under POSIX, and as with it, there
 exists a race condition between the test for the existence of the new file
 and its creation.  See `make-temp-file' for a function which avoids this
 race condition by specifying the appropriate flags to `write-region'. 
diff -r 4f39e57a82b4 src/fontcolor-gtk.c
--- a/src/fontcolor-gtk.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/fontcolor-gtk.c	Tue Mar 22 14:17:12 2011 -0600
@@ -65,7 +65,7 @@
    worry about it.
 
    Return value is 1 for normal success, 2 for nearest color success,
-   3 for Non-deallocable sucess. */
+   3 for Non-deallocable success. */
 int
 allocate_nearest_color (GdkColormap *colormap, GdkVisual *UNUSED (visual),
 		        GdkColor *color_def)
diff -r 4f39e57a82b4 src/frame-gtk.c
--- a/src/frame-gtk.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/frame-gtk.c	Tue Mar 22 14:17:12 2011 -0600
@@ -1063,7 +1063,7 @@
    *   will update the frame title anyway, so nothing is lost.
    * JV:
    *   It turns out it gives problems with FVWMs name based mapping.
-   *   We'll just  need to be carefull in the modeline specs.
+   *   We'll just need to be careful in the modeline specs.
    */
   update_frame_title (f); 
 }
diff -r 4f39e57a82b4 src/frame.c
--- a/src/frame.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/frame.c	Tue Mar 22 14:17:12 2011 -0600
@@ -133,7 +133,7 @@
    which in turn contains a menubar widget and an EmacsFrame widget, inside
    of which is the client area. (The division into EmacsShell and
    EmacsManager is due to the complex and screwy geometry-management system
-   in Xt [and X more generally].  The EmacsShell handles negotation with
+   in Xt [and X more generally].  The EmacsShell handles negotiation with
    the window manager; the place of the EmacsManager widget is normally
    assumed by a widget that manages the geometry of its child widgets, but
    the EmacsManager widget just lets the XEmacs redisplay mechanism do the
diff -r 4f39e57a82b4 src/glyphs-msw.c
--- a/src/glyphs-msw.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/glyphs-msw.c	Tue Mar 22 14:17:12 2011 -0600
@@ -1962,7 +1962,7 @@
       /* Doing this once does not seem to be enough, for instance when
 	 mapping the search dialog this gets called four times. If we
 	 only set on the first time through then the subwindow never
-	 gets focus as intended. However, doing this everytime doesn't
+	 gets focus as intended. However, doing this every time doesn't
 	 seem so bad, after all we only need to redo this after the
 	 focus changes - and if that happens resetting the initial
 	 focus doesn't seem so bad. */
diff -r 4f39e57a82b4 src/glyphs-widget.c
--- a/src/glyphs-widget.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/glyphs-widget.c	Tue Mar 22 14:17:12 2011 -0600
@@ -281,7 +281,7 @@
   widget_query_string_geometry (text, face, 
 				0, &charheight, domain);
   /* For the returned value to be useful it needs to be big enough to
-     accomodate the largest single-height widget.  This is currently
+     accommodate the largest single-height widget.  This is currently
      the edit-field. */
   return charheight + 2 * widget_spacing (domain)
     + 4 * widget_border_width (domain);
@@ -1303,7 +1303,7 @@
    size of individual widgets will affect where they get placed. The
    same is true for several rows of widgets. To solve this problem we
    introduce the notion of `logical_unit_height'. This is a size
-   quantity that is designed to be big enough to accomodate the
+   quantity that is designed to be big enough to accommodate the
    largest `single height unit'. The function
    widget_logical_unit_height() determines the value of this in
    pixels. It is dependent on the widget face and some combination of
@@ -1673,7 +1673,7 @@
 
 If the components of a widget layout are justified to the top or the
 bottom then they are aligned in terms of `logical units'. This is a
-size quantity that is designed to be big enough to accomodate the
+size quantity that is designed to be big enough to accommodate the
 largest `single height' widget. It is dependent on the widget face and
 some combination of spacing and border-width. Thus if you specify top
 or bottom justification in a vertical layout the subcontrols are laid
diff -r 4f39e57a82b4 src/gtk-xemacs.c
--- a/src/gtk-xemacs.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/gtk-xemacs.c	Tue Mar 22 14:17:12 2011 -0600
@@ -131,7 +131,7 @@
      frame.
 
      Well, wait, we do... otherwise there sre weird 'seethru' areas
-     even when XEmacs does a full redisplay.  Most noticable in some
+     even when XEmacs does a full redisplay.  Most noticeable in some
      areas of the modeline, or in the right-hand-side of the window
      between the scrollbar ad n the edge of the window.
   */
diff -r 4f39e57a82b4 src/menubar-gtk.c
--- a/src/menubar-gtk.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/menubar-gtk.c	Tue Mar 22 14:17:12 2011 -0600
@@ -1299,7 +1299,7 @@
   return (menubar_visible);
 }
 
-/* Called from gtk_create_widgets() to create the inital menubar of a frame
+/* Called from gtk_create_widgets() to create the initial menubar of a frame
    before it is mapped, so that the window is mapped with the menubar already
    there instead of us tacking it on later and thrashing the window after it
    is visible. */
diff -r 4f39e57a82b4 src/mule-ccl.c
--- a/src/mule-ccl.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/mule-ccl.c	Tue Mar 22 14:17:12 2011 -0600
@@ -566,7 +566,7 @@
    If VALn is lambda, move to the next map set like reaching to the
    end of the current map set.
 
-   If VALn is a symbol, call the CCL program refered by it.
+   If VALn is a symbol, call the CCL program referred to by it.
    Then, use reg[rrr] as a mapped value except for -1, -2 and -3.
    Such special values are regarded as nil, t, and lambda respectively.
 
diff -r 4f39e57a82b4 src/nt.c
--- a/src/nt.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/nt.c	Tue Mar 22 14:17:12 2011 -0600
@@ -1640,7 +1640,7 @@
 	  != INVALID_HANDLE_VALUE)
 	{
 	  /* This is more accurate in terms of getting the correct number
-	     of links, but is quite slow (it is noticable when Emacs is
+	     of links, but is quite slow (it is noticeable when Emacs is
 	     making a list of file name completions). */
 	  BY_HANDLE_FILE_INFORMATION info;
 
diff -r 4f39e57a82b4 src/ntheap.c
--- a/src/ntheap.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/ntheap.c	Tue Mar 22 14:17:12 2011 -0600
@@ -245,7 +245,7 @@
   VirtualQuery (base, &info, sizeof (info));
   if (info.State != MEM_FREE)
     {
-      /* Oops, something has already reserved or commited it, nothing
+      /* Oops, something has already reserved or committed it, nothing
 	 we can do but exit */
       Extbyte buf[256];
       sprintf (buf,
@@ -254,7 +254,7 @@
 	       "(BaseAddress = 0x%lx, AllocationBase = 0x%lx, "
 	       "Size = 0x%lx, State = %s, Type = %s)",
 	       info.BaseAddress, info.AllocationBase, info.RegionSize,
-	       info.State == MEM_COMMIT ? "COMMITED" : "RESERVED",
+	       info.State == MEM_COMMIT ? "COMMITTED" : "RESERVED",
 	       info.Type == MEM_IMAGE ? "IMAGE" :
 	       info.Type == MEM_MAPPED ? "MAPPED" : "PRIVATE");
       MessageBoxA (NULL, buf, "XEmacs", MB_OK | MB_ICONSTOP);
diff -r 4f39e57a82b4 src/s/cygwin32.h
--- a/src/s/cygwin32.h	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/s/cygwin32.h	Tue Mar 22 14:17:12 2011 -0600
@@ -36,7 +36,7 @@
  * once you have done this, configure and make.
  *
  * windows '95 - I haven't tested this under '95, it will probably
- * build but I konw there are some limitations with cygwin under 95 so
+ * build but I know there are some limitations with cygwin under 95 so
  * YMMV. I build with NT4 SP3.
  *
  * Andy Piper <andy@xemacs.org> 8/1/98 
diff -r 4f39e57a82b4 src/sysdll.c
--- a/src/sysdll.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/sysdll.c	Tue Mar 22 14:17:12 2011 -0600
@@ -345,7 +345,7 @@
 }
 
 /*
- * dyld adds libraries by first adding the directly dependant libraries in
+ * dyld adds libraries by first adding the directly dependent libraries in
  * link order, and then adding the dependencies for those libraries, so we
  * should do the same... but we don't bother adding the extra dependencies, if
  * the symbols are neither in the loaded image nor any of it's direct
diff -r 4f39e57a82b4 src/syswindows.h
--- a/src/syswindows.h	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/syswindows.h	Tue Mar 22 14:17:12 2011 -0600
@@ -74,7 +74,7 @@
 		Corresponding s/ file: s/mingw32.h
 
    (none)	There's no flag to indicate that you are specifically
-		targetting native Windows and not doing this with MINGW.
+		targeting native Windows and not doing this with MINGW.
 		Presumably this means you're using Visual C++.
 
 		Corresponding s/ file: s/windowsnt.h
diff -r 4f39e57a82b4 src/text.c
--- a/src/text.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/text.c	Tue Mar 22 14:17:12 2011 -0600
@@ -550,7 +550,7 @@
 
 Well yes, this was the whole point of my "no lossage" proposal of being
 able to undo any coding-system transformation on a buffer.  The idea was
-to figure out which transformations were definitely reversable, and for
+to figure out which transformations were definitely reversible, and for
 all the others, cache the original text in a text property.  This way, you
 could probably still do a fairly good job at constructing a good reversal
 even after you've gone into the text and added, deleted, and rearranged
@@ -589,7 +589,7 @@
 
 Well yes, this was the whole point of my "no lossage" proposal of being
 able to undo any coding-system transformation on a buffer.  The idea was
-to figure out which transformations were definitely reversable, and for
+to figure out which transformations were definitely reversible, and for
 all the others, cache the original text in a text property.  This way, you
 could probably still do a fairly good job at constructing a good reversal
 even after you've gone into the text and added, deleted, and rearranged
diff -r 4f39e57a82b4 src/unexcw.c
--- a/src/unexcw.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/unexcw.c	Tue Mar 22 14:17:12 2011 -0600
@@ -244,7 +244,7 @@
      f_ohdr.dsize is the total initialized data size on disk which is
      f_data.s_size + f_idata.s_size.
      
-     f_ohdr.data_start is the base addres of all data and so should
+     f_ohdr.data_start is the base address of all data and so should
      not be changed.
      
      *.s_vaddr is the virtual address of the start of the section
diff -r 4f39e57a82b4 src/unicode.c
--- a/src/unicode.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/unicode.c	Tue Mar 22 14:17:12 2011 -0600
@@ -1253,7 +1253,7 @@
 charsets, defined by `set-language-unicode-precedence-list'.  These are
 followed by charsets in the default precedence list, defined by
 `set-default-unicode-precedence-list'.  Charsets occurring multiple times are
-given precedence according to their first occurrance in either list.  These
+given precedence according to their first occurrence in either list.  These
 are followed by the remaining charsets, in some arbitrary order.
 
 The language-specific precedence list is meant to be set as part of the
diff -r 4f39e57a82b4 src/window.c
--- a/src/window.c	Thu Mar 17 16:20:09 2011 +0100
+++ b/src/window.c	Tue Mar 22 14:17:12 2011 -0600
@@ -5170,10 +5170,10 @@
 struct window_mirror_stats
 {
   struct usage_stats u;
-  /* Ancilliary non-lisp */
+  /* Ancillary non-lisp */
   Bytecount redisplay_structs;
 #ifdef HAVE_SCROLLBARS
-  /* Ancilliary Lisp */
+  /* Ancillary Lisp */
   Bytecount scrollbar;
 #endif
 };
diff -r 4f39e57a82b4 tests/automated/query-coding-tests.el
--- a/tests/automated/query-coding-tests.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/tests/automated/query-coding-tests.el	Tue Mar 22 14:17:12 2011 -0600
@@ -389,7 +389,7 @@
        (equal '(257) (unencodable-char-position (point-min) (point-max)
                                                 'iso-8859-1 1))
        "check #'unencodable-char-position doesn't think latin-1 encodes U+20AC")
-      ;; Compatiblity, sigh: 
+      ;; Compatibility, sigh: 
       (Assert
        (equal '(257) (unencodable-char-position (point-min) (point-max)
                                                 'iso-8859-1 0))
diff -r 4f39e57a82b4 tests/gtk/event-stream-tests.el
--- a/tests/gtk/event-stream-tests.el	Thu Mar 17 16:20:09 2011 +0100
+++ b/tests/gtk/event-stream-tests.el	Tue Mar 22 14:17:12 2011 -0600
@@ -43,7 +43,7 @@
  (tst)^Jabc^G  ==>  ((quit) 97) with no signal, and "bc" inserted in buffer
 
 ; with sit-for only do the 2nd test.
-; Do all 3 tests with (accept-proccess-output nil 20)
+; Do all 3 tests with (accept-process-output nil 20)
 
 /*
 Additional test cases for accept-process-output, sleep-for, sit-for.
